<template>
  <v-layout>
    <v-overlay :value="true" z-index="10000" :absolute="true">
      <v-flex xs10 offset-xs1 md8 offset-md2>
        <v-card light class="mt-8 mb-8">
          <v-card-title>
            ecoRoutes - A pollution aware routing solution
          </v-card-title>
          <v-card-text>
            <p>
              Diesel and petrol vehicles are significant contributors to poor air quality in the UK and globally.
              There is a lot of evidence demonstrating the impact of poor air quality on human health and the environment.
            </p>
            <p>
              We took on the task of using data to demonstrate just how much of a difference drivers could have in reducing their emissions by slight changes to their route.
              While most navigation solutions offer routes that minimise travel time, the focus here is on creating routes that reduce journey emissions in exchange for a modest increase in duration.
            </p>
            <p>
              A beta will be released on the <b>1st of November 2019</b>.
              If you want to get notified, feel free to <router-link to="newsletter">sign up to our newsletter</router-link>.
            </p>
            <p>
              Meanwhile you can say hello to our <router-link to="team">Team</router-link>
              or <a href="mailto:info@eco-routes.com">get in touch</a>!
            </p>
          </v-card-text>
          <v-card-actions>
            <v-spacer></v-spacer>
          </v-card-actions>
        </v-card>
      </v-flex>
    </v-overlay>

    <v-navigation-drawer
      app
      clipped
      right
    >
      <v-card
        flat
      >
        <v-card-text class="dense">
          <v-form>
            <v-text-field
              disabled
              label="origin"
              name="origin"
              prepend-icon="mdi-circle-medium"
              type="text"
            ></v-text-field>
            <v-text-field
              disabled
              id="destination"
              label="destination"
              name="Destination"
              prepend-icon="mdi-map-marker"
              type="text"
            ></v-text-field>
          </v-form>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn
            color="primary"
            disabled
            small 
          >
            search
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-navigation-drawer>

    <l-map :zoom="zoom" :center="center">
      <l-geo-json :geojson="area.geojson" :options="area.options" />
      <l-tile-layer :url="url" :attribution="attribution"></l-tile-layer>
    </l-map>
  </v-layout>
</template>

<script lang="ts">
import Vue from 'vue';
import { LatLng } from 'leaflet';
import { LMap, LTileLayer, LGeoJson } from 'vue2-leaflet';
import 'leaflet/dist/leaflet.css';
import 'leaflet.snogylop';

import CoveredArea from '@/data/covered_area.json';

export default Vue.extend({
  components: {LMap, LTileLayer, LGeoJson},
  data() {
    return {
      zoom: 12,
      center: new LatLng(51.45732284495817, -2.5999832153320312),
      url: 'https://{s}.tile.osm.org/{z}/{x}/{y}.png',
      attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors',
      area: {
        geojson: CoveredArea,
        options: {
          color: '#000',
          fillColor: '#000',
          fillOpacity: 0.4,
          invert: true,
          opacity: 0.2,
        },
      },
    };
  },
  mounted() {
    this.$store.commit('CLEAR_TITLE');
  },
});
</script>

<style lang="sass">
  .v-overlay__content
    height: 100%
    overflow: scroll

  .leaflet-container
    position: absolute
    top: 0
    right: 0
    bottom: 0
    left: 0

  .dense
    .v-text-field
      padding-top: 0
    .v-text-field
      margin-bottom: 0
    &.v-card__text
      padding-bottom: 0
</style>
